/*
 * FechaCampoMenorAOtra.java
 *
 * Created on 22 de marzo de 2007, 11:32 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 * 
 * @author Julian
 */
public class FechaCampoMenorAOtra extends AbstractRule {

	String DATE_FORMAT = "dd/MM/yyyy";

	SimpleDateFormat sdf;

	// Create object of SimpleDateFormat and pass the desired date format.

	/** Creates a new instance of CampoVacio */
	public FechaCampoMenorAOtra() {
		sdf = new SimpleDateFormat(DATE_FORMAT);
		sdf.setLenient(false);
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String fechaOtra = registro[new Integer((String) getParams()[0])
				.intValue()];
		if (!ValidarFecha.esFecha(field) || !ValidarFecha.esFecha(fechaOtra)) {
			return false;
		}
		Date dateCampo = null;
		Date dateOtra = null;
		try {
			dateCampo = sdf.parse(field);
			dateOtra = sdf.parse(fechaOtra);
		} catch (Exception e) {
			return false;
		}

		if (dateCampo.before(dateOtra)) {
			return true;
		}

		return false;
	}
}
